CVE-2023-31580

CVSS 3.1 Score 5.9 of 10 (medium)

Details

Published Oct 25, 2023
Updated: Oct 31, 2023
CWE ID 295

Summary

CVE-2023-31580 is a vulnerability found in the light-oauth2 software before version 2.1.27. It allows attackers to authenticate to the application using a crafted JWT token as the public key is obtained without any verification. This vulnerability affects multiple products, including those with IDs tz5N7v, tz5N7u, tz5N7t, and others. The potential danger posed to an organization is high confidentiality impact. To remediate this vulnerability, it is recommended to update the light-oauth2 software to version 2.1.27 or later, which includes proper verification of the public key during authentication.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-31580 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options